/**
 * @license
 * Copyright (c) 2019 The Polymer Project Authors. All rights reserved.
 * This code may only be used under the BSD style license found at
 * http://polymer.github.io/LICENSE.txt The complete set of authors may be found
 * at http://polymer.github.io/AUTHORS.txt The complete set of contributors may
 * be found at http://polymer.github.io/CONTRIBUTORS.txt Code distributed by
 * Google as part of the polymer project is also subject to an additional IP
 * rights grant found at http://polymer.github.io/PATENTS.txt
 */
import { Measurement } from './types';
import commandLineUsage = require('command-line-usage');
export declare const defaultInstallDir: string;
export declare const optDefs: commandLineUsage.OptionDefinition[];
export interface Opts {
    help: boolean;
    version: boolean;
    root: string | undefined;
    host: string;
    port: number[];
    config: string;
    'package-version': string[];
    'npm-install-dir': string;
    browser: string | undefined;
    'sample-size': number | undefined;
    manual: boolean;
    save: string;
    measure: Measurement | undefined;
    'measurement-expression': string | undefined;
    horizon: string | undefined;
    timeout: number | undefined;
    'github-check': string;
    'resolve-bare-modules': boolean | undefined;
    'remote-accessible-host': string;
    'window-size': string;
    'force-clean-npm-install': boolean;
    'csv-file': string;
    'json-file': string;
    _unknown?: string[];
}
/**
 * Parse the given CLI argument list.
 */
export declare function parseFlags(argv: string[]): Opts;
