/**
 * @license
 * Copyright (c) 2019 The Polymer Project Authors. All rights reserved.
 * This code may only be used under the BSD style license found at
 * http://polymer.github.io/LICENSE.txt The complete set of authors may be found
 * at http://polymer.github.io/AUTHORS.txt The complete set of contributors may
 * be found at http://polymer.github.io/CONTRIBUTORS.txt Code distributed by
 * Google as part of the polymer project is also subject to an additional IP
 * rights grant found at http://polymer.github.io/PATENTS.txt
 */
import { ResultStatsWithDifferences } from './stats';
import { BenchmarkResult } from './types';
export interface JsonOutputFile {
    benchmarks: Benchmark[];
}
interface Benchmark {
    name: string;
    mean: ConfidenceInterval;
    differences: Array<Difference | null>;
}
interface Difference {
    absolute: ConfidenceInterval;
    percentChange: ConfidenceInterval;
}
interface ConfidenceInterval {
    low: number;
    high: number;
}
export declare function jsonOutput(results: ResultStatsWithDifferences[]): JsonOutputFile;
export interface LegacyJsonOutputFormat {
    benchmarks: BenchmarkResult[];
    datetime: string;
    system: {
        cpu: {
            manufacturer: string;
            model: string;
            family: string;
            speed: string;
            cores: number;
        };
        load: {
            average: number;
            current: number;
        };
        battery: {
            hasBattery: boolean;
            connected: boolean;
        };
        memory: {
            total: number;
            free: number;
            used: number;
            active: number;
            available: number;
        };
    };
}
export declare function legacyJsonOutput(results: BenchmarkResult[]): Promise<LegacyJsonOutputFormat>;
export {};
