/**
 * @license
 * Copyright (c) 2019 The Polymer Project Authors. All rights reserved.
 * This code may only be used under the BSD style license found at
 * http://polymer.github.io/LICENSE.txt The complete set of authors may be found
 * at http://polymer.github.io/AUTHORS.txt The complete set of contributors may
 * be found at http://polymer.github.io/CONTRIBUTORS.txt Code distributed by
 * Google as part of the polymer project is also subject to an additional IP
 * rights grant found at http://polymer.github.io/PATENTS.txt
 */
import { Config } from './config';
import { Opts } from './flags';
import { Server } from './server';
import { BenchmarkSpec } from './types';
/**
 * Derive the set of benchmark specifications we should run according to the
 * given options, which may require checking the layout on disk of the
 * benchmarks/ directory.
 */
export declare function specsFromOpts(opts: Opts): Promise<BenchmarkSpec[]>;
export declare function specUrl(spec: BenchmarkSpec, servers: Map<BenchmarkSpec, Server>, config: Config): string;
